#pragma once
#include "nsfconfig_ini.h"

//メモリで設定を読み書きするクラス
//設定は外部に公開しないので内部形式で構わないが、その仕様を変更したら
//IKpiConfig::SetBin のキー名は変更した方が無難
class NSFPlayerConfigMem : public xgm::NSFPlayerConfigIni
{
public:
	NSFPlayerConfigMem();
    ~NSFPlayerConfigMem();
    void LoadFromMem(const char* pszMem);
    void SaveToMem(char** ppszMem);//取得した *ppszMem は呼び出し側が free する
};
